## libnotify 0.7.9

=== meson_options.txt ===
option('tests',
  type: 'boolean',
  value: true,
  description: 'Build tests')
option('introspection',
  type: 'feature',
  value: 'enabled',
  description: 'Enable GObject introspection')
option('man',
  type: 'boolean',
  value: true,
  description: 'Enable generating the manual page (depends on xsltproc)')
option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Enable generating the API reference (depends on GTK-Doc)')
option('docbook_docs',
  type: 'feature',
  value: 'auto',
  description: 'Build DocBook documentation (requires xmlto)')

## libnotify 0.4.4-1

=== debian/changelog ===
libnotify (0.4.4-1) unstable; urgency=low

  * New Upstream release. 

 -- Lucas Rocha <lucas.rocha@nokia.com>  Tue,  8 May 2007 13:38:04 +0300

libnotify (0.4.3-1) unstable; urgency=low

  [ Riccardo Setti ]
  * New upstream release

  [ Loic Minier ]
  * Bump up libgtk2.0-dev and libglib2.0-dev build-deps to >= 2.6; bump up the
    dependency of libnotify-dev on libgtk2.0-dev as well; add a libglib2.0-dev
    dependency to libnotify-dev.

 -- Loic Minier <lool@dooz.org>  Thu, 30 Nov 2006 21:54:53 +0100

libnotify (0.4.2-2) unstable; urgency=low

  * libnotify-dev depends on libgtk2.0-dev, thanks to Christophe Mutricy
    (Closes: #388521)

 -- Marco Cabizza <marco87@gmail.com>  Thu, 21 Sep 2006 05:46:17 +0200

libnotify (0.4.2-1) unstable; urgency=low

  * New Upstream release. (closes: #375182)
  * Improved notify-send manpage. (closes: #379175)
  * Added libnotify-doc package.

 -- Gustavo Franco <stratus@debian.org>  Fri, 25 Aug 2006 15:40:39 -0300

libnotify (0.4.0-2) UNRELEASED; urgency=low

  * Re-add empty patch system.

 -- Loic Minier <lool@dooz.org>  Sun, 21 May 2006 12:42:59 +0200

libnotify (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/notify-send_ppc.patch: removed
    (bug fixed by upstream)
  * debian/rules: simple-patchsys include removed, 
    there are no patches left.
  * debian/control:
    + Bump up Standards Version to 3.7.2
    + Fix lintian warning replacing > by >=
      - obsolete-relation-form depends: libdbus-glib-1-dev (> 0.35)
    
 -- Gustavo Franco <stratus@debian.org>  Tue, 16 May 2006 10:33:01 -0300

libnotify (0.3.2-4) unstable; urgency=low

  * Apply patch from Heikki Henriksen (heikkih):
     + rebuild without references to libXcursor.la & libXrender.la
       (Closes: #363966)
     + debian/control[.in]: Add dep on libdbus-glib-1-dev for libnotify-dev
       (Closes: #359316, #359710)
     + debian/watch: Added

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 21 Apr 2006 14:14:17 +0200

libnotify (0.3.2-3) unstable; urgency=low

  * Improved notify-send.1 manpage. (closes: #353681)
  - thanks goes to Paul van Tilburg <paulvt@debian.org> for providing
  a patch.
  - -t switch specifies the timeout in millisecond and not in 
  second. (closes: #353683)

 -- Riccardo Setti <giskard@autistici.org>  Tue, 21 Feb 2006 21:06:55 +0100

libnotify (0.3.2-2) unstable; urgency=low

  * Added notify-send_ppc.patch which fix a bug in notify-send (libnotify-bin) on 
  ppc. Thank to to Sjoerd Simons who provides a patch. (closes: #352514)

 -- Riccardo Setti <giskard@autistici.org>  Sat, 18 Feb 2006 19:34:05 +0100

libnotify (0.3.2-1) unstable; urgency=low

  Riccardo Setti (giskard):
  * New upstream (closes: #343437)
  * notifynotification.h doesn't exist anymore and config.h is
    defined in an if condition (closes: #348799)
  * removed eary_init.diff patch because the problem was corrected by upstream
    in the new tarball.

  Gustavo Noronha (kov):
  * Renamed library package to libnotify1 to match soname change

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 29 Jan 2006 09:08:10 -0200

libnotify (0.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/early_init.diff:
  - patch grabbed from Ubuntu's package:
    "- call dbus_g_bus_get() on init to initialize the dbus<->glib type
       system and fix a crash on certain use"
  * debian/control.in:
  - updated build-depends: libgtk2.0-dev >= 2.2.2, and
    libdbus-glib-1-dev >= 0.35

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 13 Jan 2006 00:10:33 -0200

libnotify (0.2.2-1) experimental; urgency=low

  * First upload to Debian

  Andre Filipe de Assuncao e Brito:
  * New upstream release Closes: #335590
  * debian/copyright:
    - Updated URL Project to:
      http://www.galago-project.org/files/releases/source/
  * Remove debian/patches/01_malloc_int_overflow.patch:
    - Applied Upstream
  * Added notify-send manpage.

  Gustavo Noronha Silva:
  * debian/control.in, debian/rules:
  - correctly Build-Deps for cdbs, debhelper, and GNOME Team
    Upload stuff
  * debian/copyright:
  - added missing information about notify-send being GPL'ed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 13 Nov 2005 20:47:46 -0200

libnotify (0.2.1-0ubuntu4) breezy; urgency=low

  * debian/patches/01_malloc_int_overflow.patch: Fix copy&paste bug in the
    second hunk, we allocate a char* array (not a size_t array) there.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Aug 2005 13:41:26 +0200

libnotify (0.2.1-0ubuntu3) breezy; urgency=low

  * debian/control: Recommend notification-daemon and point out the
    requirement to install it in the long description.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 10 Aug 2005 10:53:26 +0200

libnotify (0.2.1-0ubuntu2) breezy; urgency=low

  * Add debian/patches/01_malloc_int_overflow.patch:
    - Check for integer overflow in icon frame allocation, just to be
      cautious.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue,  9 Aug 2005 19:57:27 +0200

libnotify (0.2.1-0ubuntu1) breezy; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 28 Jul 2005 20:45:16 +0200

libnotify (0.2.0-0ubuntu1) breezy; urgency=low

  * Initial package.

 -- Sebastien Bacher <seb128@canonical.com>  Thu, 28 Jul 2005 15:26:46 +0200

=== debian/control ===
Source: libnotify
Priority: optional
Maintainer: Lucas Rocha <lucas.rocha@nokia.com>
Build-Depends: gnome-pkg-tools, cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.21), libgtk2.0-dev (>= 2.6), libglib2.0-dev (>= 2.6), libdbus-glib-1-dev (>= 0.35), libpopt-dev
Standards-Version: 3.7.2
Section: libs

Package: libnotify-dev
Section: libdevel
Architecture: any
Depends: libnotify1 (= ${Source-Version}), libdbus-glib-1-dev (>= 0.35), libgtk2.0-dev (>= 2.6), libglib2.0-dev (>= 2.6)
Description: sends desktop notifications to a notification daemon
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the include files and static library.

Package: libnotify1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Recommends: notification-daemon
Description: sends desktop notifications to a notification daemon
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 . 
 This package contains the shared library. To actually display the
 notifications, you need to install the package notification-daemon.

Package: libnotify-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: sends desktop notifications to a notification daemon
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 . 
 This package contains the binary which sends the notification.

Package: libnotify-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}
Suggests: devhelp
Description: sends desktop notifications to a notification daemon
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the documentation for libnotify1 in
 /usr/share/gtk-doc/html/libnotify .

## libnotify 0.4.4-2

=== debian/changelog ===
libnotify (0.4.4-2) unstable; urgency=low

  * Fixed some small issues on libnotify-dev.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 13 Jun 2007 16:01:49 +0300

## libnotify 0.4.4-2recomp1+0m5

=== debian/changelog ===
libnotify (0.4.4-2recomp1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix recomp1+0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 17 Mar 2009 10:49:24 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_TAR_SRCDIR = libnotify-0.4.4

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"

#DEB_DH_MAKESHLIBS_ARGS_libnotify0 := -V 'libnotify'

## libnotify 0.5.0

=== debian/changelog ===
libnotify (0.5.0-2ubuntu1) maverick; urgency=low

  * Add 00git-null-proxy-unref.patch: Fix assertion when uniniting without any
    notifications. Patch committed upstream and backported to maverick.
    (LP: #570462)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Jul 2010 15:31:14 +0200

libnotify (0.5.0-2) unstable; urgency=low

  * debian/patches/01_notify-get-server-info-out-parameter-NULL.patch:
    + Check that the correct variable is not NULL before dereferencing
      it in notify_get_server_info(). Thanks to Jonny Lamb for the
      patch (Closes: #536288).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jun 2010 08:39:16 +0200

libnotify (0.5.0-1) unstable; urgency=low

  * New upstream release:
    + debian/rules,
      debian/compat,
      debian/control.in,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/control:
      - Update build dependencies.
    + debian/rules:
      - Update shlibs version to 0.5.0 because of new API.
    + debian/patches/01_hurd-path-max.patch:
      - Dropped, fixed upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jun 2010 07:27:38 +0200

libnotify (0.4.5-1) unstable; urgency=low

  [ Loic Minier ]
  * Include clean-la.mk; build-dep on gnome-pkg-tools >= 0.7.

  [ Sebastian Dröge ]
  * debian/control:
    + Add myself to uploaders.
    + Update Standards-Version to 3.8.0.
    + Use ${binary:Version} instead of ${Source-Version} to make the
      package binNMU save.
  * New upstream release (Closes: #510931):
    + Fixes include of non-toplevel header of GTK (Closes: #508329).
    + debian/rules:
      - Update shlibs to >= 0.4.5 for new API.
    + debian/control:
      - Build-depend on dbus-glib >= 0.76.
  * debian/patches/01_hurd-path-max.patch:
    + Fix FTBFS on hurd-i386, thanks to Michael Banck for the patch.
      (Closes: #483157).
  * debian/patches/99_ltmain_as-needed.patch:
    + Remove some unneeded dependencies from the library by using
      --as-needed for linking.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Mar 2009 08:11:37 +0100

libnotify (0.4.4-3) unstable; urgency=low

  * Drop GNOME team from uploaders and uploaders.mk include; add myself to
    uploaders.
  * Merge never uploaded 0.4.3-3 changelog entry into 0.4.4-1.
  * Set LDFLAGS directly instead of via DEB_CONFIGURE_SCRIPT_ENV; build-dep on
    cdbs >= 0.4.41.
  * Add ${misc:Depends}.
  * Wrap build-deps and deps.
  * Prepend -z defs to LDFLAGS to be safe with --as-needed.

 -- Loic Minier <lool@dooz.org>  Mon, 16 Apr 2007 10:15:43 +0200

libnotify (0.4.4-2) experimental; urgency=low

  * Built against libgtk2.0-0 > 2.10.

 -- Riccardo Setti <giskard@debian.org>  Sat, 24 Mar 2007 15:31:52 +0100

libnotify (0.4.3-2) experimental; urgency=low

  [ Riccardo Setti ]
  * Build against libgtk2.0-dev >= 2.10; let libnotify-dev provide
    libnotify-dev-gtk2.10 for the Gtk 2.10 specific API; let libnotify1
    provide libnotify1-gtk2.10 for the Gtk 2.10 specific ABI; set libnotify1's
    shlibs to "libnotify1 (>= 0.4.3), libnotify1-gtk2.10".

  [ Loic Minier ]
  * Fix the above changelog entry.
  * Merge 0.4.3-1.

 -- Loic Minier <lool@dooz.org>  Thu, 30 Nov 2006 22:01:28 +0100

libnotify (0.4.2-2) experimental; urgency=low

  * Built it against libgtk2.0-dev  (>= 2.10)
  * Uploaded to experimental

 -- Riccardo Setti <giskard@debian.org>  Wed, 13 Sep 2006 21:24:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,29 @@
 Source: libnotify
 Priority: optional
-Maintainer: Lucas Rocha <lucas.rocha@nokia.com>
-Build-Depends: gnome-pkg-tools, cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.21), libgtk2.0-dev (>= 2.6), libglib2.0-dev (>= 2.6), libdbus-glib-1-dev (>= 0.35), libpopt-dev
-Standards-Version: 3.7.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andre Filipe de Assuncao e Brito <decko@noisemakers.org>
+Build-Depends: gnome-pkg-tools (>= 0.7),
+               cdbs (>= 0.4.41),
+               debhelper (>= 7),
+               libglib2.0-dev (>= 2.6),
+               libgtk2.0-dev (>= 2.18),
+               libdbus-glib-1-dev (>= 0.76),
+               libpopt-dev
+Uploaders: Loic Minier <lool@dooz.org>,
+           Riccardo Setti <giskard@debian.org>,
+           Sebastian Dröge <slomo@debian.org>
+Standards-Version: 3.8.4
 Section: libs
 
 Package: libnotify-dev
 Section: libdevel
 Architecture: any
-Depends: libnotify1 (= ${Source-Version}), libdbus-glib-1-dev (>= 0.35), libgtk2.0-dev (>= 2.6), libglib2.0-dev (>= 2.6)
+Depends: ${misc:Depends},
+         libnotify1 (= ${binary:Version}),
+         libdbus-glib-1-dev (>= 0.76),
+         libgtk2.0-dev (>= 2.18),
+         libglib2.0-dev (>= 2.6)
+Provides: libnotify-dev-gtk2.10
 Description: sends desktop notifications to a notification daemon
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be
@@ -20,7 +35,9 @@
 Package: libnotify1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Provides: libnotify1-gtk2.10
 Recommends: notification-daemon
 Description: sends desktop notifications to a notification daemon
  A library that sends desktop notifications to a notification daemon, as
@@ -34,7 +51,8 @@
 Package: libnotify-bin
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: sends desktop notifications to a notification daemon
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be
@@ -46,7 +64,8 @@
 Package: libnotify-doc
 Section: doc
 Architecture: all
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: devhelp
 Description: sends desktop notifications to a notification daemon
  A library that sends desktop notifications to a notification daemon, as
@@ -56,3 +75,4 @@
  .
  This package contains the documentation for libnotify1 in
  /usr/share/gtk-doc/html/libnotify .
+

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libnotify1 := -V "libnotify1 (>= 0.5.0), libnotify1-gtk2.10"

## libnotify 0.7.4

=== debian/changelog ===
libnotify (0.7.4-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * Follow multi-arch specification
  * debian/control.in:
    - Bump cdbs and debhelper build-dependencies
    - Add Multi-Arch and Pre-Depends fields
  * debian/rules:
    - Pass multi-arch compatible path to libdir
  * debian/*.install:
    - Adjust for multi-arch paths
    - Drop "debian/tmp" from paths
  * debian/libnotify-dev.install:
    - Drop .la file, no other package is referencing it anymore

  [ Martin Pitt ]
  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Sep 2011 11:37:34 +0200

libnotify (0.7.3-2) unstable; urgency=low

  * debian/control.in:
    - Remove duplicates Section to please lintian
    - Fix duplicate Description to please lintian
  * debian/rules: Drop include of check-dist.mk
  * debian/watch:
    - Switch to .bz2 tarballs.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Jul 2011 00:15:19 +0200

libnotify (0.7.3-1) experimental; urgency=low

  * New upstream release.
  * debian/libnotify4.symbols: Add new symbol from 0.7.3.

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 May 2011 17:14:37 +0200

libnotify (0.7.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Martin Pitt ]
  * New upstream release.
  * debian/libnotify4.symbols: Add new symbol from 0.7.2.
  * debian/control.in: Add missing Vcs-* headers.
  * debian/copyright: Update for current FSF address, thanks lintian.
  * debian/control.in: Bump Standards-Version to 3.9.2, no changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 May 2011 10:15:26 +0200

libnotify (0.7.1-2) experimental; urgency=low

  * debian/control.in:
    + Update the gtk+ 3 package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 07 Mar 2011 19:09:59 +0000

libnotify (0.7.1-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/01_upstream_fix_license_header.patch,
      debian/patches/02_upstream_ref_pixbuf.patch,
      debian/patches/03_libtool_dont_export_private_symbols.patch:
      - Removed, included upstream.
    + debian/patches/90_autoreconf.patch:
      - Removed, no longer needed.
    + debian/control.in,
      debian/gir1.2-notify-0.7.install,
      debian/libnotify-dev.install:
      - Add a gir1.2-notify-0.7 package.
    + debian/rules:
      - Make the shlibs file always depend on the latest version.
        Manually bumping the version when there are API changes is
        error-prone and we have a symbols file anyway.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Jan 2011 16:08:25 +0000

libnotify (0.7.0-3) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Bump Standards-Version to 3.9.1 (no further changes)

  [ Emilio Pozuelo Monfort ]
  * debian/patches/03_libtool_dont_export_private_symbols.patch:
    - Use libtool's -export-symbols-regex to not export private
      symbols.
    debian/patches/90_autoreconf.patch:
    - Run autoreconf on top of the above patch.
  * debian/rules,
    debian/libnotify4.symbols:
    - Add a symbols file for libnotify.so.4.
  * debian/control:
    - Remove libnotify-dev dependency on libgtk2.0-dev. Thanks Laurent
      Bigonville.
    - Let libnotify-dev depend on libgdk-pixbuf2.0-dev and bump the
      libglib2.0-dev requirement to >= 2.26.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 01 Dec 2010 23:07:56 +0100

libnotify (0.7.0-2) experimental; urgency=low

  * debian/patches/02_upstream_ref_pixbuf.patch:
    + Patch from upstream GIT, take a reference on the pixbuf to avoid
      crashes on clients.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Nov 2010 14:41:42 +0100

libnotify (0.7.0-1) experimental; urgency=low

  * New upstream release. Closes: #603635.
  * debian/watch,
    debian/copyright:
    + Updated for the new location.
  * debian/control:
    + Update build dependencies.
  * debian/control,
    debian/rules,
    debian/libnotify[14].install:
    + Rename the library package for the new SONAME.
  * debian/copyright:
    + Updated.
  * debian/patches/01_notify-get-server-info-out-parameter-NULL.patch:
    + Removed, not needed anymore.
  * debian/control.in,
    debian/rules:
    + Add GNOME magic for Uploaders generation.
    + Include check-dist.mk to prevent accidental uploads to unstable.
  * debian/patches/01_upstream_fix_license_header.patch:
    + Backport patch from upstream git to fix a license header which
      was mistakenly GPL.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 20 Nov 2010 12:44:59 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libnotify
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: gnome-pkg-tools (>= 0.7),
               cdbs (>= 0.4.93~),
               debhelper (>= 8.1.3~),
               libglib2.0-dev (>= 2.26),
               libgtk-3-dev (>= 3.0.0),
               libpopt-dev,
               gobject-introspection (>= 0.9.12-5~),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-glib-2.0,
               gir1.2-gdkpixbuf-2.0,
               gtk-doc-tools (>= 1.14)
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastian Dröge <slomo@debian.org>
Standards-Version: 3.9.2
Section: libs
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libnotify
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libnotify

Package: libnotify-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libnotify4 (= ${binary:Version}),
         gir1.2-notify-0.7 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libglib2.0-dev (>= 2.26),
         libgdk-pixbuf2.0-dev
Description: sends desktop notifications to a notification daemon (Development files)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the include files and static library.

Package: libnotify4
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: notification-daemon
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: sends desktop notifications to a notification daemon
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 . 
 This package contains the shared library. To actually display the
 notifications, you need to install the package notification-daemon.

Package: libnotify-bin
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: sends desktop notifications to a notification daemon (Utilities)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 . 
 This package contains the binary which sends the notification.

Package: libnotify-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: devhelp
Description: sends desktop notifications to a notification daemon (Documentation)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package contains the documentation for libnotify4 in
 /usr/share/gtk-doc/html/libnotify .

Package: gir1.2-notify-0.7
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: sends desktop notifications to a notification daemon (Introspection files)
 A library that sends desktop notifications to a notification daemon, as
 defined in the Desktop Notifications spec. These notifications can be
 used to inform the user about an event or display some form of
 information without getting in the user's way.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_libnotify4 := -V -- -c4

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libnotify/([\d\.]+)/ \
libnotify-([\d\.]+)\.tar\.bz2

## libnotify 0.7.5

=== debian/changelog ===
libnotify (0.7.5-2) unstable; urgency=low

  * Add compile/link/run autopkgtest. Thanks to Vibhav Pant
    <vibhavp@ubuntu.com> for this!

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Feb 2013 09:25:13 +0100

libnotify (0.7.5-1) unstable; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-notify-0.7 to introspection.
  * debian/watch: Track .xz tarballs.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * debian/patches/99_ltmain_as-needed.patch: Removed, no longer necessary.
  * debian/rules: Remove clean-la.mk since we don't install any libtool .la
    files anymore.
  * Drop Depends on libdbus-glib-1-dev from libnotify-dev.
  * Add explicit Build-Depends on libgdk-pixbuf2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Mar 2012 22:24:42 +0200

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,18 @@
                debhelper (>= 8.1.3~),
                libglib2.0-dev (>= 2.26),
                libgtk-3-dev (>= 3.0.0),
+               libgdk-pixbuf2.0-dev,
                libpopt-dev,
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
-               gir1.2-gdkpixbuf-2.0,
                gtk-doc-tools (>= 1.14)
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+XS-Testsuite: autopkgtest
 Standards-Version: 3.9.2
 Section: libs
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/libnotify
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/libnotify
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libnotify
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/libnotify
 
 Package: libnotify-dev
 Section: libdevel
@@ -29,7 +30,6 @@
 Depends: ${misc:Depends},
          libnotify4 (= ${binary:Version}),
          gir1.2-notify-0.7 (= ${binary:Version}),
-         libdbus-glib-1-dev (>= 0.76),
          libglib2.0-dev (>= 2.26),
          libgdk-pixbuf2.0-dev
 Description: sends desktop notifications to a notification daemon (Development files)
@@ -52,7 +52,7 @@
  defined in the Desktop Notifications spec. These notifications can be
  used to inform the user about an event or display some form of
  information without getting in the user's way.
- . 
+ .
  This package contains the shared library. To actually display the
  notifications, you need to install the package notification-daemon.
 
@@ -66,7 +66,7 @@
  defined in the Desktop Notifications spec. These notifications can be
  used to inform the user about an event or display some form of
  information without getting in the user's way.
- . 
+ .
  This package contains the binary which sends the notification.
 
 Package: libnotify-doc
@@ -85,6 +85,7 @@
  /usr/share/gtk-doc/html/libnotify .
 
 Package: gir1.2-notify-0.7
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/tests/control ===
Tests: build
Depends: dbus-x11, notification-daemon, xvfb, libnotify-dev, pkg-config

## libnotify 0.7.6

=== debian/changelog ===
libnotify (0.7.6-1ubuntu3) trusty; urgency=medium

  * Add missing build-essential test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Feb 2014 15:46:43 -0800

libnotify (0.7.6-1ubuntu2) trusty; urgency=low

  * Use dh-autoreconf to update libtool.m4 for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Dec 2013 14:16:57 +0000

libnotify (0.7.6-1ubuntu1) saucy; urgency=low

  * debian/patches/revert_api_change.patch: revert commit that changed
    the gir api, at least until code is ported in other components

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2013 16:05:37 +0200

libnotify (0.7.6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Use canonical Vcs-* URLs.
  * Drop explicit Build-Depends on gir1.2-glib-2.0.

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Sep 2013 02:31:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libnotify
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: gnome-pkg-tools (>= 0.7),
                cdbs (>= 0.4.93~),
                debhelper (>= 8.1.3~),
@@ -15,14 +15,14 @@
                libpopt-dev,
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-glib-2.0,
-               gtk-doc-tools (>= 1.14)
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+               gtk-doc-tools (>= 1.14),
+               dh-autoreconf
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 XS-Testsuite: autopkgtest
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/libnotify
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/libnotify
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libnotify
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libnotify
 
 Package: libnotify-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/gnome-pkg-tools/1/rules/clean-la.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

=== debian/tests/control ===
Tests: build
Depends: build-essential, dbus-x11, notification-daemon, xvfb, libnotify-dev, pkg-config

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libnotify/([\d\.]+)/ \
libnotify-([\d\.]+)\.tar\.xz

## libnotify 0.7.7

=== debian/changelog ===
libnotify (0.7.7-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Build with all hardening flags

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 18 Dec 2017 18:45:34 -0500

libnotify (0.7.7-2) unstable; urgency=medium

  * Enable the gir dh addon so the gir package gets the proper dependencies.
    (Closes: #860468)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Apr 2017 01:26:32 +0200

libnotify (0.7.7-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add missing xauth dependency for autopkgtest. (Closes: #757713)

  [ Sebastien Bacher ]
  * debian/notify-end.1: "Makes clear that -t/--expire-time is ignored
    by Notify OSD and GNOME Shell", thanks Matthew Paul Thomas (LP: #533631)

  [ Michael Biebl ]
  * New upstream release.
  * Fix typo in notify-send man page. (Closes: #657999)
  * Use dbus-run-session to run tests. (Closes: #836028)
  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Bump Standards-Version to 3.9.8.
  * Install gir files into multiarch paths.
  * Mark gir1.2-notify-0.7 and libnotify-dev as Multi-Arch: same and
    libnotify-doc as Multi-Arch: foreign.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2016 02:23:40 +0200

libnotify (0.7.6-2) unstable; urgency=medium

  * Add missing build-essential test dependency.
  * Bump Standards-Version to 3.9.5. No changes necessary.
  * Use dh-autoreconf to update libtool.m4 for new ports. Thanks Colin Watson!
    (Closes: #732303)

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Feb 2014 15:53:05 -0800

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,26 @@
 # This file is regenerated automatically in the clean target.
 Source: libnotify
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Build-Depends: gnome-pkg-tools (>= 0.7),
-               cdbs (>= 0.4.93~),
-               debhelper (>= 8.1.3~),
+Section: libs
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                libglib2.0-dev (>= 2.26),
                libgtk-3-dev (>= 3.0.0),
                libgdk-pixbuf2.0-dev,
                libpopt-dev,
+               gnome-pkg-tools (>= 0.7),
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
-               gtk-doc-tools (>= 1.14),
-               dh-autoreconf
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
-XS-Testsuite: autopkgtest
-Standards-Version: 3.9.4
-Section: libs
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libnotify
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libnotify
+               gtk-doc-tools (>= 1.14)
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/libnotify.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/libnotify.git
 
 Package: libnotify-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          libnotify4 (= ${binary:Version}),
          gir1.2-notify-0.7 (= ${binary:Version}),
@@ -42,11 +39,10 @@
 
 Package: libnotify4
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: notification-daemon
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: sends desktop notifications to a notification daemon
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be
@@ -72,6 +68,7 @@
 Package: libnotify-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: devhelp
@@ -87,6 +84,7 @@
 Package: gir1.2-notify-0.7
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

=== debian/tests/control ===
Tests: build
Depends: build-essential, dbus (>= 1.8), notification-daemon, xauth, xvfb, libnotify-dev, pkg-config

## libnotify 0.7.8

=== debian/changelog ===
libnotify (0.7.8-1ubuntu4) focal; urgency=medium

  * Drop notification-daemon recommends on i386, similar to s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2019 01:57:52 +0000

libnotify (0.7.8-1ubuntu3) focal; urgency=medium

  * Also make autopkgtest dependencies cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Dec 2019 20:24:45 -0800

libnotify (0.7.8-1ubuntu2) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Dec 2019 13:38:54 -0800

libnotify (0.7.8-1ubuntu1) eoan; urgency=medium

  * Merge with Debian, remaining changes
  * debian/control.in, 
    debian/rules:
    - generate the notification-daemon recommends with some hacks,
      this allows notification-daemon to be demoted to universe

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 13:36:07 +0200

libnotify (0.7.8-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in, debian/compat
    - update to debhelper12
  * debian/control.in:
    - Build-Depends on meson
    - updated Standards-Version
  * debian/libnotify-dev.install:
    - don't install the .a it's not built with meson
  * debian/rules:
    - build without autoreconf, it's not needed with meson and it's failing
      in the new version which leads to the package not building
    - remove dh_install .la override, not needed anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 12:37:56 +0200

libnotify (0.7.7-4) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 08:27:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: libnotify
 Priority: optional
 Section: libs
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libglib2.0-dev (>= 2.26),
                libgtk-3-dev (>= 3.0.0),
                libgdk-pixbuf2.0-dev,
@@ -15,10 +16,11 @@
                gnome-pkg-tools (>= 0.7),
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
-               gtk-doc-tools (>= 1.14)
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/libnotify.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/libnotify.git
+               gtk-doc-tools (>= 1.14),
+               meson (>= 0.47)
+Standards-Version: 4.4.0.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/libnotify
+Vcs-Git: https://salsa.debian.org/gnome-team/libnotify.git
 
 Package: libnotify-dev
 Section: libdevel
@@ -42,7 +44,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: notification-daemon
+Recommends: ${notification-daemon:Recommends}
 Description: sends desktop notifications to a notification daemon
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome --without autoreconf

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing
	
# This is needed to keep notification-daemon out of Ubuntu main
# since germinate (?) doesn't handle alternate virtual depends well
# Something like this might be safe for Debian too but why bother if it's not needed?
# gnome-shell isn't currently available on s390x so don't recommend either dependency there
# i386 is partial arch
override_dh_gencontrol:
ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
	dh_gencontrol -- -Vnotification-daemon:Recommends='notification-daemon'
else
ifeq (,$(filter i386 s390x,$(DEB_HOST_ARCH)))
	dh_gencontrol -- -Vnotification-daemon:Recommends='gnome-shell | notification-daemon'
else
	dh_gencontrol
endif
endif

## libnotify 0.7.9

=== debian/changelog ===
libnotify (0.7.9-3) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Drop libpopt-dev from Build-Depends, unused since 0.4.0
    (Closes: #981263)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 13:47:57 +0000

libnotify (0.7.9-2) unstable; urgency=medium

  * Team upload

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #946443)

  [ Simon McVittie ]
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
  * d/tests/build: Silence shellcheck warnings
  * Silence Lintian warning for gtk-doc documentation (see #970275)
  * d/upstream/metadata: Add.
  * Standards-Version: 4.5.1 (no changes required)
  * Set Rules-Requires-Root to no

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Nov 2020 16:27:35 +0000

libnotify (0.7.9-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop empty series file
  * debian/gbp.conf: Add default settings for gnome team
  * debian/control:
    - Build-depend on docbook-xsl-ns to generate manpage
    - Build-depend on xmlto to generate spec files
    - Mention that libnotify4-doc includes specs
  * debian/notify-send.1: Drop as now upstream includes one
  * debian/libnotify-bin.manpages: install the manpage built from source
  * debian/libnotify-doc.install: Install notification specs in docs
  * debian/rules: Remove autoreconf option, as we compile now with meson

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 20:32:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Source: libnotify
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               docbook-xsl-ns,
                libglib2.0-dev (>= 2.26),
                libgtk-3-dev (>= 3.0.0),
-               libgdk-pixbuf2.0-dev,
-               libpopt-dev,
+               libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
                gnome-pkg-tools (>= 0.7),
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
                gtk-doc-tools (>= 1.14),
-               meson (>= 0.47)
-Standards-Version: 4.4.0.1
+               meson (>= 0.47),
+               xmlto,
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/libnotify
 Vcs-Git: https://salsa.debian.org/gnome-team/libnotify.git
 
@@ -30,7 +31,7 @@
          libnotify4 (= ${binary:Version}),
          gir1.2-notify-0.7 (= ${binary:Version}),
          libglib2.0-dev (>= 2.26),
-         libgdk-pixbuf2.0-dev
+         libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev
 Description: sends desktop notifications to a notification daemon (Development files)
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be
@@ -44,7 +45,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: ${notification-daemon:Recommends}
+Recommends: notification-daemon
 Description: sends desktop notifications to a notification daemon
  A library that sends desktop notifications to a notification daemon, as
  defined in the Desktop Notifications spec. These notifications can be
@@ -81,7 +82,8 @@
  information without getting in the user's way.
  .
  This package contains the documentation for libnotify4 in
- /usr/share/gtk-doc/html/libnotify .
+ /usr/share/gtk-doc/html/libnotify and the notifications specifications in
+ /usr/share/doc/libnotify/spec/.
 
 Package: gir1.2-notify-0.7
 Section: introspection

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,gnome

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Tests: build
Depends: build-essential, dbus (>= 1.8), notification-daemon:native, xauth, xvfb, libnotify-dev, pkg-config
